The Wine development release 6.3 is now available.

What's new in this release (see below for details):
  - Better debugger support in the NT syscall interface.
  - WineGStreamer library converted to PE.
  - Still more WinRT support in WIDL.
  - Optional support for build IDs.
  - Various bug fixes.

The source is available from the following locations:

  https://dl.winehq.org/wine/source/6.x/wine-6.3.tar.xz
  http://mirrors.ibiblio.org/wine/source/6.x/wine-6.3.tar.xz

Binary packages for various distributions will be available from:

  https://www.winehq.org/download

You will find documentation on https://www.winehq.org/documentation

You can also get the current source directly from the git
repository. Check https://www.winehq.org/git for details.

Wine is available thanks to the work of many people. See the file
AUTHORS in the distribution for the complete list.

----------------------------------------------------------------

Bugs fixed in 6.3 (total 24):

   3591  py2exe needs partial imagehlp.BindImageEx implementation
  17184  Achieve Planner 1.9.0 (.NET 1.1 app) requires explicit native override of mscoree.dll or mscoree.dll.StrongNameSignatureVerificationEx faking success
  21234  Monopoly Deluxe (Zylom Games) v1.0 installer crash at the end of the installation
  32742  Logos 4.x-9.x Bible software web-installer fails download files via BITS (client registered job notification callback not called)
  35637  Seagate Crystal Enterprise 8.0: 'inputfileserver.exe' service needs msvcirt.dll.??0fstream@@QAE@XZ
  40748  32-bit iTunes 12.1.3.6: Unusable UI
  44629  Process Hacker can't enumerate handles [needs NtQuerySystemInformation(SystemExtendedHandleInformation)]
  45132  CommonObjects tool (.NET app) from Google sandbox-attacksurface-analysis-tools v1.1.x needs 'ntdll.NtQuerySystemInformation' to support 'SystemExtendedHandleInformation'
  45374  Yet Another Process Monitor (.NET 2.0 app) reports System.AccessViolationException ('ntdll.NtQueryObject' needs to support 'ObjectTypesInformation' info class)
  46238  Cxbx crashes on unimplemented function vcomp140.dll.C2VectParallel
  46962  Macromedia Director Player 4.x based games (16-bit NE) fail to run: "This program requires at least 4MB free memory to run." (The Rock)
  47507  Regression: can't return to full-screen Civilization IV BTS window after Alt+Tab-ing to desktop since wine 4.10
  48618  Multiple applications show black client area on startup (Wargaming.net Game Center, Electron based apps)('--disable-gpu' command line parameter is a workaround)
  49689  WRC 4 crashes on loading a race (needs IXACT3EngineImpl_PrepareWave implementation)
  50150  ODBC applications fail to create DSNs due to 'odbccp32.SQLWriteDSNToIni' stub
  50581  Far Manager v3.0: cursor position is off by one
  50620  Multiple applications crash due to DHTMLEdit 'IOleObject::GetMiscStatus' stub (Atomic Mail Sender 4.25, RSSeditor 0.9.54, High Impact eMail 5)
  50652  Steam enters endless restarting cycle after launching any game
  50653  Wine fails to build with clang-10.0 as a crosscompiler
  50670  wineg++ cannot compile programs using shobjidl.h as of Wine 6.2
  50672  .toString() implementation VT_CY behaves as if .toLocaleString() was used
  50701  Multiple 32-bit ARM Thumb-2 applications cause loader to output warnings during relocation processing (Miranda, Notepad2)
  50713  Commit a8856381ed9 ("ntdll: Use xsavec in x86_64 syscall dispatcher.") breaks 64-bit Wine (wine-6.2-264-ga8856381ed9)
  50723  Can't recognize ... as an internal or external command, or batch script

----------------------------------------------------------------

Changes since 6.2:

Akihiro Sagawa (4):
      ntdll: ObjectName should also be used in NtUnloadKey.
      server: Prevent unloading a registry hive while the key is in use.
      advapi32/tests: Add another key unloading test with NtUnloadKey.
      krnl386.exe: Cap GetFreeSpace value to 2GB.

Alex Henrie (1):
      iphlpapi: Use RtlIpv4AddressToStringA instead of inet_ntoa.

Alexandre Julliard (183):
      server: Store a filename for memory views of .so dlls.
      ntdll: Allocate the initial process parameters on the Unix side.
      ntdll: Set the initial environment and command line in the process parameters on the Unix side.
      ntdll: Also set the dynamic environment strings in the initial parameters.
      ntdll: Reimplement local atom tables in user space.
      server: Remove support for process-local handle tables.
      server: Avoid redefining the DuplicateHandle() constants.
      ntdll: Use the SECTION_IMAGE_INFORMATION bitfields where possible.
      ntdll: Don't use wine/server.h from the PE side.
      kernelbase: Don't use wine/server.h.
      kernel32: Don't use wine/server.h.
      krnl386.exe: Don't use wine/server.h.
      ntdll: Remove no longer used inline function.
      server: Merge the various token information queries.
      winebuild: Add a --prefer-native option to set a Wine-specific flag in the PE header.
      ntdll: Check the prefer-native flag in the PE header for default load order.
      winedump: Print the "prefer native" Wine flag.
      msvcrt40: Remove DLL_WINE_PREATTACH.
      normaliz: Remove DLL_WINE_PREATTACH.
      adsldpc: Use --prefer-native instead of DLL_WINE_PREATTACH.
      bluetoothapis: Use --prefer-native instead of DLL_WINE_PREATTACH.
      cryptdll: Use --prefer-native instead of DLL_WINE_PREATTACH.
      d3d8thk: Use --prefer-native instead of DLL_WINE_PREATTACH.
      d3dcompiler: Use --prefer-native instead of DLL_WINE_PREATTACH.
      d3dim: Use --prefer-native instead of DLL_WINE_PREATTACH.
      dcomp: Use --prefer-native instead of DLL_WINE_PREATTACH.
      esent: Use --prefer-native instead of DLL_WINE_PREATTACH.
      feclient: Use --prefer-native instead of DLL_WINE_PREATTACH.
      hid: Use --prefer-native instead of DLL_WINE_PREATTACH.
      ksuser: Use --prefer-native instead of DLL_WINE_PREATTACH.
      mapistub: Use --prefer-native instead of DLL_WINE_PREATTACH.
      mscat32: Use --prefer-native instead of DLL_WINE_PREATTACH.
      mscorwks: Use --prefer-native instead of DLL_WINE_PREATTACH.
      msdelta: Use --prefer-native instead of DLL_WINE_PREATTACH.
      msdrm: Use --prefer-native instead of DLL_WINE_PREATTACH.
      msls31: Use --prefer-native instead of DLL_WINE_PREATTACH.
      msports: Use --prefer-native instead of DLL_WINE_PREATTACH.
      vcomp: Fix varargs calling conventions.
      netutils: Use --prefer-native instead of DLL_WINE_PREATTACH.
      npptools: Use --prefer-native instead of DLL_WINE_PREATTACH.
      odbcbcp: Use --prefer-native instead of DLL_WINE_PREATTACH.
      olethk32: Use --prefer-native instead of DLL_WINE_PREATTACH.
      photometadatahandler: Use --prefer-native instead of DLL_WINE_PREATTACH.
      regapi: Use --prefer-native instead of DLL_WINE_PREATTACH.
      resutils: Use --prefer-native instead of DLL_WINE_PREATTACH.
      rtutils: Use --prefer-native instead of DLL_WINE_PREATTACH.
      samlib: Use --prefer-native instead of DLL_WINE_PREATTACH.
      sas: Use --prefer-native instead of DLL_WINE_PREATTACH.
      scarddlg: Use --prefer-native instead of DLL_WINE_PREATTACH.
      sfc: Use --prefer-native instead of DLL_WINE_PREATTACH.
      srclient: Use --prefer-native instead of DLL_WINE_PREATTACH.
      srvcli: Use --prefer-native instead of DLL_WINE_PREATTACH.
      strmdll: Use --prefer-native instead of DLL_WINE_PREATTACH.
      svrapi: Use --prefer-native instead of DLL_WINE_PREATTACH.
      utildll: Use --prefer-native instead of DLL_WINE_PREATTACH.
      vulkan-1: Use --prefer-native instead of DLL_WINE_PREATTACH.
      wdscore: Use --prefer-native instead of DLL_WINE_PREATTACH.
      wlanui: Use --prefer-native instead of DLL_WINE_PREATTACH.
      wmasf: Use --prefer-native instead of DLL_WINE_PREATTACH.
      wuaueng: Use --prefer-native instead of DLL_WINE_PREATTACH.
      xpsprint: Use --prefer-native instead of DLL_WINE_PREATTACH.
      xpssvcs: Use --prefer-native instead of DLL_WINE_PREATTACH.
      ntdll: Print the version mismatch error from the Unix side.
      ntdll: Avoid sign conversion warnings in Thumb-2 relocation processing.
      acledit: Use --prefer-native instead of DLL_WINE_PREATTACH.
      aclui: Use --prefer-native instead of DLL_WINE_PREATTACH.
      activeds: Use --prefer-native instead of DLL_WINE_PREATTACH.
      apphelp: Use --prefer-native instead of DLL_WINE_PREATTACH.
      atmlib: Use --prefer-native instead of DLL_WINE_PREATTACH.
      authz: Use --prefer-native instead of DLL_WINE_PREATTACH.
      avrt: Use --prefer-native instead of DLL_WINE_PREATTACH.
      clusapi: Use --prefer-native instead of DLL_WINE_PREATTACH.
      compstui: Use --prefer-native instead of DLL_WINE_PREATTACH.
      connect: Use --prefer-native instead of DLL_WINE_PREATTACH.
      cryptext: Use --prefer-native instead of DLL_WINE_PREATTACH.
      d3drm: Use --prefer-native instead of DLL_WINE_PREATTACH.
      d3dx10: Use --prefer-native instead of DLL_WINE_PREATTACH.
      d3dx11: Use --prefer-native instead of DLL_WINE_PREATTACH.
      d3dx9: Use --prefer-native instead of DLL_WINE_PREATTACH.
      davclnt: Use --prefer-native instead of DLL_WINE_PREATTACH.
      dhcpcsvc: Use --prefer-native instead of DLL_WINE_PREATTACH.
      dpwsockx: Use --prefer-native instead of DLL_WINE_PREATTACH.
      drmclien: Use --prefer-native instead of DLL_WINE_PREATTACH.
      dwmapi: Use --prefer-native instead of DLL_WINE_PREATTACH.
      dxva2: Use --prefer-native instead of DLL_WINE_PREATTACH.
      faultrep: Use --prefer-native instead of DLL_WINE_PREATTACH.
      fltlib: Use --prefer-native instead of DLL_WINE_PREATTACH.
      fntcache: Use --prefer-native instead of DLL_WINE_PREATTACH.
      fontsub: Use --prefer-native instead of DLL_WINE_PREATTACH.
      fwpuclnt: Use --prefer-native instead of DLL_WINE_PREATTACH.
      glu32: Use --prefer-native instead of DLL_WINE_PREATTACH.
      gpkcsp: Use --prefer-native instead of DLL_WINE_PREATTACH.
      initpki: Use --prefer-native instead of DLL_WINE_PREATTACH.
      inkobj: Use --prefer-native instead of DLL_WINE_PREATTACH.
      itircl: Use --prefer-native instead of DLL_WINE_PREATTACH.
      loadperf: Use --prefer-native instead of DLL_WINE_PREATTACH.
      mfmediaengine: Use --prefer-native instead of DLL_WINE_PREATTACH.
      mfplat: Use --prefer-native instead of DLL_WINE_PREATTACH.
      mfplay: Use --prefer-native instead of DLL_WINE_PREATTACH.
      mgmtapi: Use --prefer-native instead of DLL_WINE_PREATTACH.
      mprapi: Use --prefer-native instead of DLL_WINE_PREATTACH.
      msasn1: Use --prefer-native instead of DLL_WINE_PREATTACH.
      msisip: Use --prefer-native instead of DLL_WINE_PREATTACH.
      msnet32: Use --prefer-native instead of DLL_WINE_PREATTACH.
      mspatcha: Use --prefer-native instead of DLL_WINE_PREATTACH.
      mssign32: Use --prefer-native instead of DLL_WINE_PREATTACH.
      mssip32: Use --prefer-native instead of DLL_WINE_PREATTACH.
      msvcm: Use --prefer-native instead of DLL_WINE_PREATTACH.
      ncrypt: Use --prefer-native instead of DLL_WINE_PREATTACH.
      ninput: Use --prefer-native instead of DLL_WINE_PREATTACH.
      ntdsapi: Use --prefer-native instead of DLL_WINE_PREATTACH.
      ntprint: Use --prefer-native instead of DLL_WINE_PREATTACH.
      pdh: Use --prefer-native instead of DLL_WINE_PREATTACH.
      pidgen: Use --prefer-native instead of DLL_WINE_PREATTACH.
      printui: Use --prefer-native instead of DLL_WINE_PREATTACH.
      prntvpt: Use --prefer-native instead of DLL_WINE_PREATTACH.
      pstorec: Use --prefer-native instead of DLL_WINE_PREATTACH.
      query: Use --prefer-native instead of DLL_WINE_PREATTACH.
      qwave: Use --prefer-native instead of DLL_WINE_PREATTACH.
      rasdlg: Use --prefer-native instead of DLL_WINE_PREATTACH.
      rstrtmgr: Use --prefer-native instead of DLL_WINE_PREATTACH.
      sccbase: Use --prefer-native instead of DLL_WINE_PREATTACH.
      schannel: Use --prefer-native instead of DLL_WINE_PREATTACH.
      sfc_os: Use --prefer-native instead of DLL_WINE_PREATTACH.
      slbcsp: Use --prefer-native instead of DLL_WINE_PREATTACH.
      slc: Use --prefer-native instead of DLL_WINE_PREATTACH.
      sxs: Use --prefer-native instead of DLL_WINE_PREATTACH.
      t2embed: Use --prefer-native instead of DLL_WINE_PREATTACH.
      tdh: Use --prefer-native instead of DLL_WINE_PREATTACH.
      traffic: Use --prefer-native instead of DLL_WINE_PREATTACH.
      winebuild: Set Thumb bit in CPSR register on syscall entry.
      winebuild: Fix relay entry points for Thumb mode.
      winebuild: Simplify constant loading on ARM.
      uiautomationcore: Use --prefer-native instead of DLL_WINE_PREATTACH.
      url: Use --prefer-native instead of DLL_WINE_PREATTACH.
      userenv: Use --prefer-native instead of DLL_WINE_PREATTACH.
      vdmdbg: Use --prefer-native instead of DLL_WINE_PREATTACH.
      virtdisk: Use --prefer-native instead of DLL_WINE_PREATTACH.
      wer: Use --prefer-native instead of DLL_WINE_PREATTACH.
      wevtapi: Use --prefer-native instead of DLL_WINE_PREATTACH.
      wimgapi: Use --prefer-native instead of DLL_WINE_PREATTACH.
      windowscodecsext: Use --prefer-native instead of DLL_WINE_PREATTACH.
      winnls32: Use --prefer-native instead of DLL_WINE_PREATTACH.
      winsta: Use --prefer-native instead of DLL_WINE_PREATTACH.
      wlanapi: Use --prefer-native instead of DLL_WINE_PREATTACH.
      wmvcore: Use --prefer-native instead of DLL_WINE_PREATTACH.
      wsnmp32: Use --prefer-native instead of DLL_WINE_PREATTACH.
      xolehlp: Use --prefer-native instead of DLL_WINE_PREATTACH.
      ntdll: Add a separate helper for creating the initial ntdll module.
      ntdll: Relocate the PE ntdll if necessary.
      ntdll: Initialize the ShowDotFiles option on the Unix side.
      ntdll: Fix rounding the length of the runtime info parameter.
      browseui: Use --prefer-native instead of DLL_WINE_PREATTACH.
      credui: Use --prefer-native instead of DLL_WINE_PREATTACH.
      cryptdlg: Use --prefer-native instead of DLL_WINE_PREATTACH.
      cryptui: Use --prefer-native instead of DLL_WINE_PREATTACH.
      evr: Use --prefer-native instead of DLL_WINE_PREATTACH.
      hnetcfg: Use --prefer-native instead of DLL_WINE_PREATTACH.
      inetcomm: Use --prefer-native instead of DLL_WINE_PREATTACH.
      inetcpl.cpl: Use --prefer-native instead of DLL_WINE_PREATTACH.
      joy.cpl: Use --prefer-native instead of DLL_WINE_PREATTACH.
      localspl: Use --prefer-native instead of DLL_WINE_PREATTACH.
      mscoree: Use --prefer-native instead of DLL_WINE_PREATTACH.
      msctf: Use --prefer-native instead of DLL_WINE_PREATTACH.
      msftedit: Use --prefer-native instead of DLL_WINE_PREATTACH.
      msident: Use --prefer-native instead of DLL_WINE_PREATTACH.
      msscript.ocx: Use --prefer-native instead of DLL_WINE_PREATTACH.
      msvcirt: Use --prefer-native instead of DLL_WINE_PREATTACH.
      msvcp60: Use --prefer-native instead of DLL_WINE_PREATTACH.
      openal32: Use --prefer-native instead of DLL_WINE_PREATTACH.
      scrobj: Use --prefer-native instead of DLL_WINE_PREATTACH.
      scrrun: Use --prefer-native instead of DLL_WINE_PREATTACH.
      shcore: Use --prefer-native instead of DLL_WINE_PREATTACH.
      snmpapi: Use --prefer-native instead of DLL_WINE_PREATTACH.
      spoolss: Use --prefer-native instead of DLL_WINE_PREATTACH.
      sti: Use --prefer-native instead of DLL_WINE_PREATTACH.
      vbscript: Use --prefer-native instead of DLL_WINE_PREATTACH.
      wmiutils: Use --prefer-native instead of DLL_WINE_PREATTACH.
      wmp: Use --prefer-native instead of DLL_WINE_PREATTACH.
      wmphoto: Use --prefer-native instead of DLL_WINE_PREATTACH.
      wshom.ocx: Use --prefer-native instead of DLL_WINE_PREATTACH.
      ntdll: Don't set runtime info at all if it's empty.
      ntdll: Get rid of attach_implicitly_loaded_dlls().

Alistair Leslie-Hughes (14):
      msado15: _Recordset get_Fields support rowset.
      msado15: Semi-implement _Connection Execute.
      odbccp32: Implement SQLWriteDSNToIni/W.
      xactengine3_7: Implement IXACT3Engine PrepareWave.
      msado15: Add helper function to create CommandText interface.
      include: Add more SQL_ defines.
      msado15: Semi-stub _Recordset Open.
      msado15: Implement Dispatch functions in _Connection.
      msado15: Implement Dispatch functions in _Command.
      msado15: Implement Dispatch functions in _Stream.
      msado15: Implement Dispatch functions in Field.
      msado15: Implement Dispatch functions in Fields.
      msado15: Implement Dispatch functions in _Recordset.
      msado15: Implement Dispatch functions in ADORecordsetConstruction.

Andrew Boyarshin (1):
      widl: Support midl_pragma default option.

Anton Baskanov (4):
      quartz/tests: Add tests for IMediaEventEx::SetNotifyFlags.
      quartz/tests: Add tests for event notifications.
      quartz: Do not send events when notifications are disabled.
      quartz: Reset the event if the queue was empty in IMediaEvent::GetEvent().

Arkadiusz Hiler (1):
      winebus.sys: Remove incorrect Report ID from the bus_sdl HID report descriptor.

Bernhard Reiter (1):
      imagehlp: Partially implement BindImageEx().

Damjan Jovanovic (1):
      wldap32: Implement setting the LDAP_OPT_REFERRALS option.

Derek Lesho (1):
      winegstreamer: Implement IMFMediaSource::Stop.

Dmitry Timoshkov (1):
      include/winnt.h: Fix arguments order for _InterlockedCompareExchange64() MSVC intrinsic.

Doug Kingston (1):
      winealsa: Add card number to duplicate device descriptions.

Erich Hoover (6):
      ntdll: Use st_rdev for special devices in get_mountmgr_fs_info.
      server: Allow volume information queries to be asynchronous.
      ntdll: Allow NtQueryVolumeInformationFile to make async volume information queries.
      ntoskrnl.exe: Implement volume information queries for device files.
      mountmgr.sys: Add support for volume information queries.
      kernelbase: Reimplement GetVolumeInformation on top of GetVolumeInformationByHandle.

Esme Povirk (1):
      mscoree: Remove individual vtable fixup traces.

Floris Renaud (1):
      po: Update Dutch translation.

François Gouget (3):
      tests: Trace the filename in winetest_wait_child_process().
      tests: Add ignore_exceptions().
      kernel32/tests: Ignore exceptions while testing winedbg.

Gerald Pfeifer (1):
      iphlpapi: Include <netinet/in.h> in ifenum.c.

Gijs Vermeulen (1):
      msvcirt: Implement remainder of fstream class.

Hans Leidekker (2):
      secur32/tests: Add tests for renegotiating an SSL connection.
      winhttp/tests: Add tests for client certificate authentication.

Henri Verbeet (10):
      d3d11: Advertise support for shader model 4 compute shaders if compute shaders are supported.
      wined3d: Recognise the read-only depth/stencil view flags in wined3d_debug_view_desc().
      wined3d: Introduce a backup path for swapchain presents using GDI.
      wined3d: Do not fail swapchain creation in wined3d_swapchain_vk_init() if a Vulkan swapchain could not be created.
      wined3d: Unbind framebuffer state in state_unbind_resources().
      d3d11: Implement d3d11_immediate_context_SwapDeviceContextState() on top of wined3d_device_set_state().
      d3d10core/tests: Add a test for layered clears.
      d3d11/tests: Add a test for layered clears.
      wined3d: Allow layered clears.
      wined3d: Load/invalidate entire views in ffp_blitter_clear_rendertargets().

Hugh McMaster (17):
      reg/tests: Check for elevated privileges before cleaning up the Windows 3.1 test key and running unit tests.
      reg/tests: Ensure test key is fully removed before each sequence begins.
      reg/tests: Move /v* syntax tests to the 'add' and 'delete' test sequences.
      reg/tests: Check for key non-existence with verify_key_nonexist().
      reg/tests: Always overwrite export test file during 'export' sequence.
      reg/tests: Verify registry export after each empty key test.
      reg/tests: Replace RegCloseKey() with the helper function close_key().
      reg/tests: Add additional tests with embedded NUL characters.
      reg/tests: Add tests for forward and back slashes in key and value names.
      regedit/tests: Check for elevated privileges before cleaning up the Windows 3.1 test key and running unit tests.
      regedit/tests: Ensure test key is fully removed before each sequence begins.
      regedit/tests: Replace RegCloseKey() with the helper function close_key().
      regedit/tests: Use delete_key() and delete_tree() where possible.
      regedit/tests: Add additional tests with embedded NUL characters.
      regedit/tests: Add tests for forward and back slashes in key and value names.
      regedit/tests: Comprehensively check for elevated privileges before starting tests.
      regedit/tests: Remove elevated user checks from the Windows 3.1 test sequences.

Jacek Caban (34):
      oleaut32: Use C locale in VARIANT_BstrFromReal.
      conhost: Avoid assumption about the exact Unix cursor position after writing to the last column.
      ntdll: Store entire XMM context in x86_64 syscall frame.
      winebuild: Remove no longer needed stack alignment in x86_64 syscall dispatcher.
      ntdll: Reserve space for all registers in x86_64 syscall frame.
      ntdll: Store eflags in x86_64 syscall frame.
      ntdll: Store instruction pointer register in x86_64 syscall frame.
      ntdll: Store stack pointer in x86_64 syscall frame.
      ntdll: Store segment registers in x86_64 syscall frame.
      ntdll: Use syscall frame for volatile registers in x64_64 NtGetContextThread.
      winebuild: Restore all x86_64 control registers in syscall dispatcher.
      winebuild: Restore x86_64 FPU context and nonvolatile registers in syscall dispatcher.
      mshtml: Add nsICacheInfoChannel stub implementation.
      winegcc: Properly set debug info type on msvc targets.
      ntdll: Introduce signal_init_syscalls.
      winebuild: Factor out output_syscall_dispatcher.
      ntdll: Store x86_64 YMM context in syscall frame.
      ntdll: Use syscall frame for x86_64 YMM context in NtGetContextThread.
      ntdll: Use syscall frames in x86_64 NtSetContextThread implementation.
      ntdll: Use NtContinue in NtRaiseException.
      ntdll: Use NtContinue in RtlRestoreContext.
      ntdll: Use syscall dispatcher for restoring context in x86_64 NtSetContextThread implementation.
      ntdll: Use xsavec in x86_64 syscall dispatcher.
      ntdll: Use syscall frame in x86_64 call_raise_user_exception_dispatcher implementation.
      ntdll: Don't use FeatureSet for XSAVE compaction support flag.
      ntdll: Use the right cpuid for XSAVEC detection.
      ntdll: Fix compacted legacy xsave area handling.
      ntdll: Reserve space for full i386 context in syscall frame.
      ntdll: Store all non-volatile i386 registers in syscall dispatcher.
      ntdll: Use syscall frame in x86 set_full_cpu_context implementation.
      include: Fix __dmb declaration.
      include: Add MSVC ARM version of NtCurrentTeb.
      include: Use GCC-style InterlockedCompareExchange128 implementation on clang in MSVC mode.
      ntdll: Use cpu_info to check for AVX availability.

Jactry Zeng (1):
      include: Avoid using C++ keyword.

Jefferson Carpenter (1):
      msxml3/tests: Test mxwriter domdoc output.

Jérôme Gardou (1):
      msi: Remove read-only bit when copying the package file.

Liam Middlebrook (2):
      winevulkan: Handle bitmask types backed by VkFlags64.
      winevulkan: Update to VK spec version 1.2.170.

Michael Müller (1):
      ntdll: Implement NtQuerySystemInformation(SystemExtendedHandleInformation).

Nicholas Fraser (1):
      configure: Add --enable-build-id option.

Nikolay Sivov (35):
      mfplat: Fix use-after-free when releasing sample allocator.
      mfplat: Handle tracked sample release condition separately from refcount update.
      mfplat/allocator: Handle bind flags and usage attributes.
      mfplat: Unify trace format for device manager methods.
      dwrite: Pass features to stage functions.
      dwrite/layout: Split run shaping between two helpers.
      dwrite/layout: Grow output buffer on GetGlyphs() failure.
      dwrite: Always initialize output glyph count in GetGlyphs().
      dwrite: Fix character range to glyph range matching for user features.
      dwrite/layout: Pass user features to shaping calls.
      mfreadwrite/reader: Subscribe to allocator's release notifications.
      mfreadwrite/reader: Add support for reading to SA-allocated samples.
      mf/tests: Add a sample copier test for sample fields handling.
      dwrite/layout: Check text range boundaries when setting properties.
      dwrite/layout: Remove unnecessary argument check from GetPairKerning().
      dwrite/layout: Remove unnecessary argument check from GetInlineObject().
      dwrite/layout: Remove unnecessary argument check from GetFontWeight().
      dwrite/layout: Remove unnecessary argument check from GetFontCollection().
      mf/tests: Skip some tests on missing function.
      dwrite: Correct return glyph origins for RTL runs.
      dwrite: Use correct glyph origins during rendering.
      dwrite: Use newer analyzer interface internally.
      dwrite/layout: Add support for character spacing attributes.
      winegstreamer: Fully initialize MF object creation context.
      dwrite: Remove unused function.
      mf/tests: Skip all tests on Vista.
      wbemprox: Implement WbemContext stub.
      wbemdisp: Add SWbemNamedValueSet stub.
      wbemprox: Implement GetValue()/SetValue() for context object.
      wbemdisp: Use context object internally for named value set.
      wbemdisp: Add Methods() collection stub.
      wbemdisp: Add a stub implementation of a method object.
      wbemprox: Set iterator for spawned instances.
      wbemdisp: Implement InParameters() property for a method object.
      wbemdisp: Handle DISPATCH_PROPERTYPUT in scripting object Invoke().

Paul Gofman (7):
      vcomp: Change _vcomp_fork_call_wrapper() args parameter type to void **.
      vcomp: Implement C2VectParallel().
      vcomp110: Add test for C2VectParallel().
      msvcrt: Ignore inherited FDs with invalid handles in msvcrt_init_io().
      ddraw/tests: Also test RT caps for software device.
      advapi32: Return ERROR_INVALID_PARAMETER for invalid crypt objects' handles.
      advapi32: Handle exceptions from dereferencing invalid crypt objects' handles.

Piotr Caban (2):
      msvcrt: Improve asinf compatibility with native ucrtbase.
      msvcrt: Improve acosf compatibility with native ucrtbase.

Rémi Bernon (30):
      plugplay: Broadcast WM_DEVICECHANGE message asynchronously.
      d3d11: Make SwapDeviceContextState truly no-op when state is NULL.
      d3d11: Create an initial device ID3DDeviceContextState.
      widl: Rename ifref_t iface member to type.
      widl: Rename ifref_t to typeref_t.
      widl: Rename ifref_list_t to typeref_list_t.
      widl: Replace type_list_t with typeref_list_t.
      widl: Support partially specialized parameterized type.
      widl: Support WinRT parameterized interface type.
      user32/tests: Add more tests for GetKeyState from background thread.
      user32/tests: Add tests for GetKeyState / GetKeyboardState interactions.
      user32/tests: Add tests for SetKeyboardState / GetKeyState interactions.
      widl: Support WinRT delegate type.
      widl: Support WinRT parameterized delegate type.
      widl: Compute signatures for parameterized types.
      widl: Compute uuids for parameterized types.
      secur32: Return STREAM_HEADER/TRAILER buffers on SEC_I_RENEGOTIATE.
      wined3d: Use a separate allocation for the device state.
      wined3d: Introduce public API to set a wined3d_state object on a device.
      d3d11: Always return the rectangle count in d3d11_immediate_context_RSGetScissorRects().
      winex11.drv: Don't assume that GenericEvent has a window.
      include: Split Windows.Foundation.Collections parameterized types.
      include: Add AggregateType / GetAbiType / GetLogicalType WinRT templates.
      widl: Write C++ template declarations for parameterized types.
      widl: Write C++ template implementations for parameterized types.
      widl: Use C++ template implementation for parameterized types.
      widl: Fix C++ RuntimeClass string constants declaration.
      widl: Make WinRT nested templates C++98 compatible.
      widl: Strip last separator in append_namespaces if suffix is NULL.
      widl: Generate helper macros for WinRT implementation.

Steve Lhomme (4):
      widl: Never use the namespace ABI prefix for global types.
      widl: Precompute qualified type names, and use them for C++ interfaces.
      widl: Define the C type name as an alias for the C++ qualified name.
      widl: Use C name when writing UUID declarations.

Torge Matthies (1):
      server: Fix page size calculation in write access check.

Vijay Kiran Kamuju (2):
      dhtmled.ocx: Add registration script.
      dhtmled.ocx: Implement IOleObject::GetMiscStatus function.

Zebediah Figura (67):
      winegstreamer: Pass the wg_parser object to gst_bus_set_sync_handler().
      winegstreamer: Move filter initialization out of GST_Connect().
      winegstreamer: Move GST_Connect() to the Unix library.
      winegstreamer: Move wg_parser sink disconnection code to the Unix library.
      winegstreamer: Retrieve wg_parser streams through Unix library functions.
      winegstreamer: Do not compare FPS in wg_format_compare().
      imagehlp/tests: Link directly to imagehlp and psapi.
      imagehlp/tests: Use ImageNtHeader instead of RtlImageNtHeader.
      imagehlp/tests: Rewrite test_bind_image_ex() using a DLL resource.
      winegstreamer: Retrieve the preferred format through a Unix library function.
      winegstreamer: Set the stream's current format and connected state through Unix library functions.
      winegstreamer: Move get_stream_event() to the Unix library.
      winegstreamer: Move wg_parser flushing to the Unix library.
      winegstreamer: Move QoS notification to the Unix library.
      advapi32/tests: Rename test_sid() to test_ConvertStringSidToSid().
      advapi32/tests: Get rid of the test_luid() helper.
      advapi32/tests: Rename test_acls() to test_InitializeAcl().
      advapi32/tests: Explicitly test the ACL contents in test_AddMandatoryAce().
      advapi32/tests: Skip test_token_label() if AddMandatoryAce() is not present.
      winegstreamer: Move seeking to the Unix library.
      winegstreamer: Move videoflip configuration to wg_parser_stream_set_current_format().
      winegstreamer: Use wg_parser_stream_seek() in GST_ChangeRate().
      winegstreamer: Map the output sample buffer in the Unix library.
      winegstreamer: Avoid using gst_util_uint64_scale() in send_sample().
      winegstreamer: Retrieve and complete read requests through Unix library functions.
      advapi32/tests: Add a few tests for GetKernelObjectSecurity() parameter validation.
      advapi32/tests: Add some tests for token elevation.
      ntdll: Implement NtQueryInformationToken(TokenElevationType).
      ntdll: Implement NtQueryInformationToken(TokenLinkedToken).
      ntdll: Implement NtQueryInformationToken(TokenElevation).
      winegstreamer: Move GST_BUFFER_OFFSET_NONE handling to the Unix library.
      winegstreamer: Move the EOS handling from read_buffer() to the Unix library.
      winegstreamer: Map the read buffer in the Unix library.
      winegstreamer: Access the stream duration through a Unix library function.
      winegstreamer: Avoid accessing "parser->container" from gstdemux.c.
      winegstreamer: Move the wg_parser and wg_parser_stream definitions to wg_parser.c.
      ntdll: Fill the handle attributes in System(Extended)HandleInformation.
      ntdll: Fill the object type index in System(Extended)HandleInformation.
      winegstreamer: Manually track read offsets in the media source.
      winegstreamer: Manage our own thread for read requests in the media source.
      winegstreamer: Explicitly translate the channel mask.
      winegstreamer: Reimplement the media source on top of the wg_parser object.
      quartz/tests: Add more tests for media events.
      quartz: Use the graph critical section to synchronize media event methods.
      quartz: Use a linked list to store media events.
      quartz: Inline the WndNotify structure into struct filter_graph.
      quartz: Clear pending events when disabling notifications.
      quartz: Remove EC_COMPLETE from the queue when starting the graph.
      winegstreamer: Use ULONGLONG instead of uint64_t in Unix library interface structures.
      winegstreamer: Build with msvcrt.
      quartz: Use free() to free the "pszFileName" member.
      winegstreamer: Use wide-char string literals.
      winegstreamer: Use malloc() instead of HeapAlloc().
      winegstreamer: Remove some redundant includes.
      winegstreamer: Don't export DllMain().
      winegstreamer: Rename gstdemux.c to quartz_parser.c.
      winegstreamer: Link to strmbase.
      ntdll/tests: Avoid passing an uninitialized timeout to NtNotifyChangeKey().
      winegstreamer: Rename some callbacks to more closely match GStreamer terminology.
      winegstreamer: Rename some callbacks to explicitly show they are callbacks.
      winegstreamer: Inline init_new_decoded_pad() into pad_added_cb().
      winegstreamer: Don't make the pad caps writable in pad_added_cb().
      winegstreamer: Rename gst_base_src_perform_seek() to src_perform_seek().
      kernel32/tests: Add a test for async cancellation due to process exit.
      server: Always set the async result when the APC object is destroyed.
      quartz/vmr9: Don't release the default presenter object if it could not be created.
      d3d12: Check for VK_KHR_external_memory_capabilities before using VkPhysicalDeviceIDProperties.

Zhiyi Zhang (11):
      user32: Send a WM_ACTIVATE message after restoring a minimized top level window.
      ntoskrnl.exe: Exclude large integer APIs from relay tracing.
      user32/tests: Fix a test failure on w7u_2qxl TestBot VM.
      user32/tests: Add optional messages to test sequences.
      comctl32/ipaddress: Only print an error when it actually occurs.
      comctl32/theme_scrollbar: Remove an unused variable.
      comctl32/button: Turn off themed painting if parts are unavailable for Command Links.
      uxtheme: Add Command Link part and state definitions.
      uxtheme: Support more font properties.
      uxtheme: Support DTT_FONTPROP for DrawThemeTextEx().
      uxtheme: Remove unused code.

--
Alexandre Julliard
julliard@winehq.org
